app/Http/routes.php
<?php

/*
|--------------------------------------------------------------------------
| Application Routes
|--------------------------------------------------------------------------
|
| Here is where you can register all of the routes for an application.
| It's a breeze. Simply tell Laravel the URIs it should respond to
| and give it the controller to call when that URI is requested.
|
*/

Route::get('/', 'PageController@index')->name('index');

Route::get('/register', 'PageController@register')->name('register');
Route::get('/login', 'PageController@login')->name('login');
Route::get('/logout', 'UserController@logout')->name('logout');
Route::post('/login', 'UserController@authenticate')->name('login-post');
Route::post('/users', 'UserController@store')->name('register-submit');


Route::get('/get-started', 'PageController@getStarted')->name('get-started');
Route::get('/webmail', 'PageController@webmail')->name('web-mail');



Route::group(['middleware' => ['auth']], function() {

	Route::get('/project/{id}/professional/{pro_id}/rating/{rating}','ProjectsController@rating')->name('project-rating');

	Route::get('/dashboard', 'PageController@dashboard')->name('dashboard');

	Route::get('/services', 'PageController@services')->name('services');

	Route::get('/tutor', 'PageController@tutorForm')->name('tutor-form');	
	Route::post('/tutor', 'PageController@tutorSubmit')->name('tutor-submit');

	Route::get('/development', 'PageController@developmentPicker')->name('development-picker');	
	Route::get('/development-form/{type}', 'PageController@developmentForm')->name('development-form');
	Route::post('/development', 'PageController@formSubmit')->name('development-submit');

	Route::get('/creatives', 'PageController@creativesPicker')->name('creatives-picker');	
	Route::get('/creatives-form/{type}', 'PageController@creativesForm')->name('creatives-form');
	Route::post('/creatives', 'PageController@formSubmit')->name('creatives-submit');

	Route::get('/writing', 'PageController@writingPicker')->name('writing-picker');	
	Route::get('/writing-form/{type}', 'PageController@writingForm')->name('writing-form');
	Route::post('/writing', 'PageController@formSubmit')->name('writing-submit');

	Route::get('/paper', 'PageController@paperPicker')->name('paper-picker');	
	Route::get('/paper-form/{type}', 'PageController@paperForm')->name('paper-form');
	Route::post('/paper', 'PageController@formSubmit')->name('paper-submit');

	Route::get('/profile','UserController@profile')->name('profile');
	Route::post('/profile-update','UserController@profileUpdate')->name('profile-update');
	Route::get('/user-project/{id}','UserController@userProject')->name('user-project');
	Route::get('/user-projects','UserController@userProjects')->name('user-projects');

	Route::get('/user-tutorials/{id}','UserController@userTutorial')->name('user-tutorial');
	Route::get('/user-tutorials','UserController@userTutorials')->name('user-tutorials');

	Route::get('/print', 'PageController@printForm')->name('print-form');	
	Route::post('/print', 'PageController@printSubmit')->name('print-submit');


	Route::group(['middleware' => 'permission:is_allow_skills'], function() {
		Route::resource('skills', 'SkillsController');
	});

	Route::group(['middleware' => 'permission:is_allow_professionals'], function() {
		Route::resource('professionals', 'ProfessionalsController');
		Route::resource('professionals.skills','ProfessionalSkillsController');
	});

	Route::group(['middleware' => 'permission:is_allow_clients'], function() {
		Route::resource('clients', 'ClientController');
		// Route::resource('professionals.skills','ProfessionalSkillsController');
	});

	Route::group(['middleware' => 'permission:is_allow_projects'], function() {
		Route::resource('projects', 'ProjectsController');

		Route::get('project/{project_id}/pro-delete/{id}','ProjectProfessionalsController@deletePro')->name('projects.professionals.delete');

		Route::resource('projects.professionals','ProjectProfessionalsController');

		Route::get('project/{project_id}/milestone-delete/{id}','ProjectMilestonesController@deleteMilestone')->name('projects.milestones.delete');
		Route::get('project/{project_id}/milestone-done/{id}','ProjectMilestonesController@doneMilestone')->name('projects.milestones.done');

		Route::resource('projects.milestones','ProjectMilestonesController');
	});




// 		//changepassword
// 		Route::get('/editprofile','AdminController@editprofile')->name('admin.show.profile');
// 		Route::post('/updateprofile','AdminController@updateProfile')->name('admin.update.profile');
// 		Route::get('/changepassword','AdminController@showChangePassword')->name('admin.show.change.password');
// 		Route::post('/changepassword','AdminController@updatePassword')->name('admin.update.password');
// 		Route::get('/help','SettingsController@help')->name('esaklolo.help.help');

// 		Route::group(['middleware' => 'permission:is_allow_roles'], function() {
// 			Route::resource('roles', 'RolesController');
// 			Route::get('roles/{id}/old_privilege', 'RolesController@oldPrivilege')->name('roles-privilege');
// 			Route::get('roles/{id}/privilege', 'RolesController@privilege')->name('roles-privilege');
// 			Route::post('roles/{id}/update/{x}', 'RolesController@updatePrivilege')->name('roles-update-privilege');
// 			Route::get('role-delete/{id}', 'RolesController@destroy')->name('roles-delete');
// 			// Route::post('/role/update','RolesController@webroleupdate')->name('esaklolo.web_user.update');
			
// 		});
	Route::group(['middleware' => 'permission:is_allow_settings'], function() {
		Route::resource('settings', 'SettingsController');
	});
});

app/Project.php
<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Project extends Model
{
    //
     protected $fillable = [
		'title',
		'user_id',
		'description',
		'type',
		'status',
		'project_type',
	];

	// protected $table = 'clients';

	public function user()
	{
		return $this->belongsTo('App\User');
	}
}

app/Http/Controllers/ProjectsController.php
<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;

use App\Http\Requests;
use App\Project;
use App\User;
use App\Rating;
use Log;
use Response;
use Illuminate\Support\Facades\Input;
use Illuminate\Support\Facades\Auth;
use Validator;
use Session;
class ProjectsController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function rating($project_id,$pp_id,$rating)
    {
        
        Rating::where('project_id','=',$project_id)
            ->where('professional_id','=',$pp_id)
            ->delete();
        Rating::create([
            'project_id'=>$project_id,
            'professional_id'=>$pp_id,
            'rating'=>$rating,
            ]);
       return Response::json(['success'=>true],200, array(),JSON_PRETTY_PRINT);
    }
    public function index()
    {
        //
        $projects = Project::with('user')->paginate(10);

        return view('projects.index',[
            'projects'=>$projects,
        ]);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
        $clients = User::get();
        return view('projects.create',[
            'clients'=>$clients,
        ]);
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
        // Log::info($request);
        $validator = Validator::make($request->all(), [
            'title' => 'required|min:2|max:50',
            'user_id' => 'required',
            'description' => 'required',
         
        ]);

        if ($validator->fails()) {
            return redirect()
                ->route()
                ->back()
                ->withErrors($validator)
                ->withInput();
        }

        $user = Project::create([
            'title'  =>  $request->input('title'),
            'user_id' => $request->input('user_id'),
            'description' => $request->input('description'),
        ]);

        return redirect()->route('projects.index')->with('flash_message', 'Projects Created');
     
        
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
        $projects = Project::with('user')->find($id);
        $clients = User::get();
        return view('projects.edit',[
            'projects'=>$projects,
            'clients'=>$clients,
        ]);
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
        // Log::info($request);

        $validator = Validator::make($request->all(), [
            'title' => 'required|min:2|max:50',
            'user_id' => 'required',
            'description' => 'required',
         
        ]);

        if ($validator->fails()) {
            return redirect()
                ->route()
                ->back()
                ->withErrors($validator)
                ->withInput();
        }
        $project = Project::find($id);
        $project->title = $request->input('title');
        $project->user_id = $request->input('user_id');
        $project->status = $request->input('status');
        $project->description = $request->input('description');
        $project->save();

      
        return redirect()->route('projects.index')->with('flash_message', 'Projects Updated');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
}

resources/views/projects/create.blade.php
@extends('template.app')

@section('content')

 <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css" integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/js/bootstrap.min.js" integrity="sha384-wfSDF2E50Y2D1uUdj0O3uMBJnjuUD4Ih7YwaYd1iqfktj0Uod8GCExl3Og8ifwB6" crossorigin="anonymous"></script>


<main role="main" class="col-md-9 ml-sm-auto col-lg-10 pt-3 px-4">
	<div class="d-flex justify-content-between flex-wrap flex-md-nowrap align-items-center pb-2 mb-3 border-bottom">
		<h1 class="h2">Add Projects</h1>
			   
	</div>
	<div class="row">
			@if(Session::has('flash_message'))
				<div class="alert alert-success">{{Session::get('flash_message')}}</div>
			@endif

			@if(Session::has('flash_error'))
				<div class="alert alert-danger">{{Session::get('flash_error')}}</div>
			@endif
		</div>
	<div class="row">


	<Form method="POST" action="{{ route('projects.store') }}" enctype="multipart/form-data" />
	
		{{ csrf_field() }}

		
		<div class="form-row ">
			<div class="col">
				<label for="title">Title</label>
				<input type="text" name="title" class="form-control" placeholder="Enter Title" value="{{ old('title') }}">
				<span class="errors" style="color:#FF0000">{{$errors->first('title')}}</span>
			</div>
		</div>

		<div class="form-row ">
			<div class="col">
				<label for="type">Type</label>	<br/>		
				<select name="type" class="form-control" id="type">
					<option value="web">web</option>
					<option value="mobile">mobile</option>
					<option value="software">software</option>
					<option value="paper">paper</option>
				</select>
				<span class="errors" style="color:#FF0000">{{$errors->first('type')}}</span>
			</div>
		</div>

		
		<div class="form-row ">
			<div class="col">
				<label for="title">Client</label>	<br/>		
				<select name="user_id" class="js-example-basic-single form-control" id="first_name">
					@foreach($clients as $x)
						<option value="{{$x->id}}">{{$x->first_name}} {{$x->last_name}}</option>
					@endforeach
				</select>
				<span class="errors" style="color:#FF0000">{{$errors->first('title')}}</span>
			</div>
		</div>

		<div class="form-row">
		
			<div class="col">
				<label for="email">Description</label>
				<textarea class="form-control" id="description" name="description">{{ old('description') }}</textarea>
				<span class="errors" style="color:#FF0000">{{$errors->first('description')}}</span>
			</div>

			 

		</div>
	

	
		<div class="row">
			<div class="col-lg-4">
				<input type="submit" class="btn btn-primary" onclick="this.disabled=true;this.value='Submitted, please wait...';this.form.submit();" />
			</div>
		</div>
		
		</Form>

	</div>
</main>
<link href="https://cdn.jsdelivr.net/npm/select2@4.0.13/dist/css/select2.min.css" rel="stylesheet" />
<script src="https://cdn.jsdelivr.net/npm/select2@4.0.13/dist/js/select2.min.js"></script>
<script>
	$(document).ready(function() {
	    $('.js-example-basic-single').select2();
	});

	$(document).ready(function() {
	

		$('#description').summernote({
        placeholder: 'Description Here',
        tabsize: 2,
        height: 100
      });

	 // 	 $('#description').summernote({
	 // 	 height: 600,

		// });

	});
</script>

@stop

resources/views/projects/edit.blade.php
@extends('template.app')

@section('content')

 <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css" integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/js/bootstrap.min.js" integrity="sha384-wfSDF2E50Y2D1uUdj0O3uMBJnjuUD4Ih7YwaYd1iqfktj0Uod8GCExl3Og8ifwB6" crossorigin="anonymous"></script>


<main role="main" class="col-md-9 ml-sm-auto col-lg-10 pt-3 px-4">
	<div class="d-flex justify-content-between flex-wrap flex-md-nowrap align-items-center pb-2 mb-3 border-bottom">
		<h1 class="h2">Edit Projects</h1>
			   
	</div>
	<div class="row">
			@if(Session::has('flash_message'))
				<div class="alert alert-success">{{Session::get('flash_message')}}</div>
			@endif

			@if(Session::has('flash_error'))
				<div class="alert alert-danger">{{Session::get('flash_error')}}</div>
			@endif
		</div>
	<div class="row">


	<Form method="POST" action="{{ route('projects.update',[$projects->id]) }}" enctype="multipart/form-data" />
	
		{{ csrf_field() }}

		<input type="hidden" name="_method" value="PUT">
		
		<div class="form-row ">
			<div class="col">
				<label for="title">Title</label>
				<input type="text" name="title" class="form-control" placeholder="Enter Title" value="{{ $projects->title }}">
				<span class="errors" style="color:#FF0000">{{$errors->first('projects')}}</span>
			</div>
		</div>

		<div class="form-row ">
			<div class="col">
				<label for="type">Type</label>	<br/>		
				<select name="type" class="form-control" id="type">
					<option value="web" @if($projects->type=='web') selected @endif>web</option>
					<option value="mobile" @if($projects->type=='mobile') selected @endif>mobile</option>
					<option value="software" @if($projects->type=='software') selected @endif>software</option>
					<option value="paper" @if($projects->type=='paper') selected @endif>paper</option>
				</select>
				<span class="errors" style="color:#FF0000">{{$errors->first('type')}}</span>
			</div>
		</div>

		
		<div class="form-row ">
			<div class="col">
				<label for="title">Client {{ $projects->client_id}}</label>	<br/>		
				<select name="user_id" class="js-example-basic-single form-control" id="user_id">
					@foreach($clients as $x)
						<option value="{{$x->id}}" @if($x->id==$projects->user_id) selected @endif >{{$x->first_name}} {{$x->last_name}}</option>
					@endforeach
				</select>
				<span class="errors" style="color:#FF0000">{{$errors->first('title')}}</span>
			</div>
		</div>

		<div class="form-row ">
			<div class="col-md-4">
				<label for="title">Status </label>	<br/>		
				<select name="status" class="form-control">
					<option value="active" @if($projects->status=='active') selected="true" @endif>active</option>
					<option value="inactive" @if($projects->status=='inactive') selected="true" @endif>inactive</option>
					<option value="wip" @if($projects->status=='wip') selected="true" @endif>wip</option>
					<option value="completed" @if($projects->status=='completed') selected="true" @endif>completed</option>
					<option value="review" @if($projects->status=='review') selected="true" @endif>review</option>				
					
				</select>
				<span class="errors" style="color:#FF0000">{{$errors->first('title')}}</span>
			</div>
		</div>



		<div class="form-row">
		
			<div class="col">
				<label for="email">Description</label>
				<textarea class="form-control" id="description" name="description">{{ $projects->description }}</textarea>
				<span class="errors" style="color:#FF0000">{{$errors->first('description')}}</span>
			</div>

			 

		</div>
	

	
		<div class="row">
			<div class="col-lg-4">
				<input type="submit" class="btn btn-primary" onclick="this.disabled=true;this.value='Submitted, please wait...';this.form.submit();" />
			</div>
		</div>
		
		</Form>

	</div>
</main>
<link href="https://cdn.jsdelivr.net/npm/select2@4.0.13/dist/css/select2.min.css" rel="stylesheet" />
<script src="https://cdn.jsdelivr.net/npm/select2@4.0.13/dist/js/select2.min.js"></script>
<script>
	$(document).ready(function() {
	    $('.js-example-basic-single').select2();
	});

	$(document).ready(function() {
	

		$('#description').summernote({
        placeholder: 'Description Here',
        tabsize: 2,
        height: 100
      });

	 // 	 $('#description').summernote({
	 // 	 height: 600,

		// });

	});
</script>

@stop

resources/views/projects/index.blade.php
@extends('template.app')

@section('content')

<main role="main" class="col-md-9 ml-sm-auto col-lg-10 pt-3 px-4">
	<div class="d-flex justify-content-between flex-wrap flex-md-nowrap align-items-center pb-2 mb-3 border-bottom">
		<h1 class="h2">Projects</h1>
	</div>
	<div class="row">
			@if(Session::has('flash_message'))
				<div class="alert alert-success">{{Session::get('flash_message')}}</div>
			@endif

			@if(Session::has('flash_error'))
				<div class="alert alert-danger">{{Session::get('flash_error')}}</div>
			@endif
		</div>
	<div class="row">

		 
		<a href="{{ route('projects.create') }}" role="button" class="btn btn-primary">Add New</a>

		<table class="table">
		  <thead>
			<tr>
				<th scope="col">#</th>
				<th scope="col">Type</th>
				<th scope="col">Title</th>
				<th scope="col">Client</th>
				<th scope="col">Status</th>
				<th scope="col"></th>
			</tr>
		  </thead>
		  <tbody>

		  	@foreach($projects as $x)
		  	<tr>
				<th scope="row">{{$x->id}}</th>
				<th scope="row">{{$x->type}}</th>
				<th scope="row">{{$x->title}}</th>
				<th scope="row">{{$x->user->first_name}} {{$x->user->last_name}}</th>
				<td>
					@if($x->status=='active') 
					<span style="height: 10px; width: 10px;  background-color: #00ff00;  border-radius: 50%;  display: inline-block;"></span> Active
					@elseif($x->status=='review') 
					<span style="height: 10px; width: 10px;  background-color: #5bc0de;  border-radius: 50%;  display: inline-block;"></span> For Review
					@elseif($x->status=='inactive') 
					<span style="height: 10px; width: 10px;  background-color: #FF0000;  border-radius: 50%;  display: inline-block;"></span> Inactive
					@elseif($x->status=='wip') 
					<span style="height: 10px; width: 10px;  background-color: #FF0000;  border-radius: 50%;  display: inline-block;"></span> WIP
					@else
					<span style="height: 10px; width: 10px;  background-color: #00FF00;  border-radius: 50%;  display: inline-block;"></span> completed
					@endif
				</td>
				<td>
					<div class="btn-group" role="group" aria-label="">
						<a href="{{ route('projects.milestones.index',[$x->id])}}"><button type="button" class="btn btn-primary">Milestone</button></a>
						<a href="{{ route('projects.professionals.index',[$x->id])}}"><button type="button" class="btn btn-primary">Team</button></a>
						<a href="{{ route('projects.edit',[$x->id])}}"><button type="button" class="btn btn-primary">Edit</button></a>
						<!-- <button type="button" class="btn btn-secondary">Middle</button> -->
						<a href=""><button type="button" class="btn btn-danger">Delete</button></a>
					</div>
				</td>
			</tr>
		  	@endforeach
			
		  </tbody>
		</table>
		<div style="text-align: center">
			{{ $projects->appends(
				[
					
				]

				)->links() }}
		</div>
	

	</div>
</main>


@stop